package com.dragoninfo.dcuc.app.vo;

import lombok.Builder;
import lombok.Data;

/**
 * 请求总线参数
 *
 * @author huangzqa
 * @date 2021/4/27
 **/
@Builder
@Data
public class BusSendReqVO {

    /**
     * 应用代码
     */
    private String busSraId;

    /**
     * 服务代码
     */
    private String busServiceId;

    /**
     * 接口方法
     */
    private String busServiceFunc;

    /**
     * 身份证号
     */
    private String busSreIdcard;

    /**
     * 用户令牌
     */
    private String userToken;

    /**
     * 应用令牌
     */
    private String appToken;

}
