//package com.dragoninfo.dcuc.app.event;
//
//import com.dragoninfo.dcuc.app.dto.AppEventDTO;
//import com.dragoninfo.dcuc.app.dto.ManufacturerEventDTO;
//import com.dragoninfo.dcuc.app.dto.UpdateUserInfoEventDTO;
//import org.springframework.beans.BeansException;
//import org.springframework.context.ApplicationContext;
//import org.springframework.context.ApplicationContextAware;
//import org.springframework.scheduling.annotation.Async;
//import org.springframework.stereotype.Component;
//
///**
// * 服务事件发布类
// *
// * @author huangzqa
// * @date 2020/11/9
// */
//@Component
//public class EventPublisher implements ApplicationContextAware {
//
//    private ApplicationContext applicationContext;
//
//    @Async
//    public void publishAppEvent(AppEventDTO appEventDTO) {
//        AppEvent appEvent = new AppEvent(appEventDTO);
//        applicationContext.publishEvent(appEvent);
//    }
//
//    @Async
//    public void publishManufacturerEvent(ManufacturerEventDTO manufacturerEventDTO) {
//        ManufacturerEvent manufacturerEvent = new ManufacturerEvent(manufacturerEventDTO);
//        applicationContext.publishEvent(manufacturerEvent);
//    }
//
//    @Async
//    public void publishUpdateUserInfoEvent(UpdateUserInfoEventDTO updateUserInfoEventDTO) {
//        UpdateUserInfoEvent updateUserInfoEvent = new UpdateUserInfoEvent(updateUserInfoEventDTO);
//        applicationContext.publishEvent(updateUserInfoEvent);
//    }
//
//    @Override
//    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
//        this.applicationContext = applicationContext;
//    }
//}
