package com.dragoninfo.dcuc.app.dto;

import lombok.Data;

import java.util.List;

/**
 * 应用服务资源获取参数封装类
 * @author mazq
 * @date 2020/11/26
 */
@Data
public class ListingParamDTO {

    /**
     * 资源枚举类ResourceTypeEnum 资源id 表示想要获取哪一类的资源
     */
    private String resourceId;

    /**
     * 想要获取该类资源哪些页码的数据
     */
    private List<Integer> pageNo;
}
