//package com.dragoninfo.dcuc.app.event;
//
//import com.dragoninfo.dcuc.app.dto.UpdateUserInfoEventDTO;
//import com.dragoninfo.dcuc.app.entity.ApplyInfo;
//import com.dragoninfo.dcuc.org.entity.OrgInfo;
//import com.dragoninfo.dcuc.org.facade.IOrgInfoFacade;
//import com.dragoninfo.dcuc.user.user.facade.IUserInfoFacade;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.context.ApplicationListener;
//import org.springframework.stereotype.Component;
//
///**
// * @author huangzqa
// * @date 2020/11/10
// */
//@Slf4j
//@Component
//public class UpdateUserInfoEventListener implements ApplicationListener<UpdateUserInfoEvent> {
//
//    @Autowired
//    private IOrgInfoFacade orgInfoFacade;
//
//    @Autowired
//    private IUserInfoFacade userInfoFacade;
//
//    @Override
//    public void onApplicationEvent(UpdateUserInfoEvent event) {
//        UpdateUserInfoEventDTO updateUserInfoEventDTO = event.getUpdateUserInfoEventDTO();
//        ApplyInfo applyInfo = updateUserInfoEventDTO.getApplyInfo();
//
//        String applyInfoId = applyInfo.getId();
//        String orgId = applyInfo.getOrgId();
//        // 获取机构信息
//        OrgInfo orgInfo = orgInfoFacade.detail(orgId);
//        String fullName = orgInfo.getFullName();
//        String code = orgInfo.getCode();
//        // todo 使用消息
//        log.info("更新施工人员冗余信息orgId:{}，fullName：{}，code：{}，appId:{}", orgId, fullName, code, applyInfoId);
//
//        userInfoFacade.updateExternalPersonnel(orgId, fullName, code, applyInfoId);
//    }
//}
