package com.dragoninfo.dcuc.app.strategy;


/**
 * @author mazq
 */
public interface ResourceOperateStrategy<T,R> {

    /**
     * 具体策略插入资源方法
     * @param content
     * @return
     */
    R insertRemoteSource(T content);

    /**
     * 选择具体策略处理资源
     * @param resourceId
     * @return
     */
    boolean canHandle(String resourceId);
}
